Subject: bug#23568: 25.0.94; Mode line menus appear incorrectly in some monitor configurations

From: martin rudalics <[email-masked]>
Date: Fri, 02 Jun 2017 08:10:19 +0200

> I just noticed that frame.el also includes frame-monitor-attributes,
 > which also makes me think that frame.el is a nice place for these
 > procedures.

For the moment putting them in frame.el should be OK.  Eventually these
functions should be in frame.c and represent stripped down versions of
‘display-monitor-attributes-list’ where only the dominating monitor for
the given frame or coordinates is investigated.  Other monitors and
things like lists of frames dominated by a monitor, mm values, name and
source would not be calculated by the respective backends.  These values
are not needed for checking tip frame or menu positions and repeatedly
evaluating and returning the same values seems rather silly.

martin